MailcrateDocs
Contacts

Opt a contact in or out of a group

PUT
/public/contact/{idOrEmail}/subscriptions/{groupId}

Requires the subscription-group:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

idOrEmail*string
groupId*string

Request Body

application/json
  1. body
optedOut*boolean

Response Body

Example Request
curl -X PUT 'https://api.mailcrate.io/public/contact/string/subscriptions/string' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "optedOut": true}'
Example Response
Empty